Cyberduck Mountain Duck CLI

#7718 closed defect (fixed)

Downloads create empty files

Reported by: JKayL Owned by: dkocher
Priority: high Milestone: 4.4.4
Component: webdav Version: 4.4.3
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

When I download Quicktime files using Cyberduck, the downloaded files show as being totally empty, even though the files exist on the source machine. What might be causing this?

Attachments (1)

Screen shot 2014-01-06 at 11.11.32 PM.png (350.3 KB) - added by JKayL on Jan 7, 2014 at 7:30:03 AM.
Screen Shot

Download all attachments as: .zip

Change History (14)

comment:1 follow-up: Changed on Jan 6, 2014 at 10:59:23 AM by dkocher

Is the file size reported as 0B in the browser? Please post a screenshot of the file from the browser window general tab of the Info (⌘-I) panel.

Changed on Jan 7, 2014 at 7:30:03 AM by JKayL

Screen Shot

comment:2 Changed on Jan 7, 2014 at 7:32:14 AM by JKayL

Thank you very much for your speedy reply. Yes, the files are reported as 0 B in the browser. Attached is a screen shot of all of the applicable windows.

comment:3 in reply to: ↑ 1 Changed on Jan 7, 2014 at 7:43:18 AM by JKayL

Replying to dkocher:

Is the file size reported as 0B in the browser? Please post a screenshot of the file from the browser window general tab of the Info (⌘-I) panel.

Thank you very much for your speedy reply. Yes, the files are reported as 0 B in the browser. Attached is a screen shot of all of the applicable windows. Sorry if my replies are duplicative. I'm getting used to this forum format.

comment:4 Changed on Jan 7, 2014 at 5:15:00 PM by dkocher

  • Milestone set to 4.4.4
  • Status changed from new to assigned

comment:5 follow-up: Changed on Jan 10, 2014 at 1:32:39 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

This is a failure of the DAV server returning the correct content length in the PROPFIND listing. We might workaround this with changes in r14186 and r14190 if the server returns correct responses for PROPFIND requests against single files.

comment:6 in reply to: ↑ 5 Changed on Jan 10, 2014 at 3:42:40 PM by bp

  • Resolution fixed deleted
  • Status changed from closed to reopened

Replying to dkocher:

This is a failure of the DAV server returning the correct content length in the PROPFIND listing. We might workaround this with changes in r14186 and r14190 if the server returns correct responses for PROPFIND requests against single files.

I am the author of this DAV server (!)... The server of these files can not report the filesize during PROPFIND because it is not known at this point in time. The files get generated when somebody really wants to download them. (The files exist in a different format before and get generated upon request.) The filesize of quicktimes can not be calculated in advance before the generation. When the client issues a GET request, the server generates the file (temporarily) and sends it with a PUT answer, then of course with the correct size. This has worked perfectly for years with earlier versions of Cyberduck, at least until 4.2.1. Since 4.3.0 it doesn't say "Download fertig" anymore, instead it claims "Transfer unvollstaendig", although it looks ok. Since 4.4.2 it says "Download complete" although it only saves about 200kB - every time.

Please think about this again... Thank you!

comment:7 Changed on Jan 11, 2014 at 7:07:10 PM by JKayL

Should I use a version of Cyberduck before version 4.2.1 to work around this problem? If so, can you please download the earlier version to me? Thanks.

comment:8 Changed on Jan 12, 2014 at 9:38:28 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Update size in transfer status from content length header. In r14195.

comment:9 Changed on Jan 13, 2014 at 3:45:08 AM by JKayL

Thank you. Do I need to get a software download from you with the update you did in r14195? I am not understanding what I need to do to handle this problem.

comment:10 Changed on Jan 13, 2014 at 1:23:22 PM by dkocher

Please update to the latest snapshot build available.

comment:11 Changed on Jan 13, 2014 at 11:12:31 PM by JKayL

Unfortunately, my Mac computer that I use Cyberduck on is not connected to the Internet. Can you please e-mail me the latest snapshot build?

comment:12 follow-up: Changed on Jan 17, 2014 at 12:45:36 AM by JKayL

Again, can you please download the latest snapshot build to me by e-mail?

comment:13 in reply to: ↑ 12 Changed on Sep 12, 2014 at 5:30:31 PM by JKayL

Replying to JKayL:

Is there a phone number that I can reach you at? Can you please assist me in getting Cyberduck set up to work on my computer. I still am not able to get it to work. I have the same problem discussed above. I am using a Mac Book Pro with OS X version 10.6.8. I am using Quick Time version 10.0 (128). I do not have Perian software, as it apparently does not work with Quick Time version 10.0. When I download Quicktime files using Cyberduck, the downloaded files show as being totally empty, even though the files exist on the source machine. What might be causing this? And what should I do to handle it?

Last edited on Sep 12, 2014 at 5:42:38 PM by JKayL (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software